DRM_VMA_NODE_VERIFY_(9)

NAME
drm_vma_node_verify_access - Access verification helper for TTM

SYNOPSIS

int drm_vma_node_verify_access(struct drm_vma_offset_node * node, struct file * filp);

ARGUMENTS

node
    Offset node

filp
    Open-file

DESCRIPTION

This checks whether filp is granted access to node. It is the same as drm_vma_node_is_allowed but suitable as drop-in helper for TTM verify_access callbacks.

RETURNS

0 if access is granted, -EACCES otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT